%global debug_package %{nil}

Name: python-html5lib
Epoch: 100
Version: 1.1
Release: 1%{?dist}
BuildArch: noarch
Summary: HTML parser/tokenizer based on the WHATWG HTML5 specification
License: MIT
URL: https://github.com/html5lib/html5lib-python/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
html5lib is a pure-python library for parsing HTML. It is designed to
conform to the WHATWG HTML specification, as is implemented by all major
web browsers.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-html5lib
Summary: HTML parser/tokenizer based on the WHATWG HTML5 specification
Requires: python3
Requires: python3-six >= 1.9
Requires: python3-webencodings
Provides: python3-html5lib = %{epoch}:%{version}-%{release}
Provides: python3dist(html5lib) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-html5lib = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(html5lib) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-html5lib = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(html5lib) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-html5lib
html5lib is a pure-python library for parsing HTML. It is designed to
conform to the WHATWG HTML specification, as is implemented by all major
web browsers.

%files -n python%{python3_version_nodots}-html5lib
%license LICENSE
%{python3_sitelib}/html5lib*
%endif

%if !(0%{?suse_version} > 1500)
%package -n python3-html5lib
Summary: HTML parser/tokenizer based on the WHATWG HTML5 specification
Requires: python3
Requires: python3-six >= 1.9
Requires: python3-webencodings
Provides: python3-html5lib = %{epoch}:%{version}-%{release}
Provides: python3dist(html5lib) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-html5lib = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(html5lib) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-html5lib = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(html5lib) = %{epoch}:%{version}-%{release}

%description -n python3-html5lib
html5lib is a pure-python library for parsing HTML. It is designed to
conform to the WHATWG HTML specification, as is implemented by all major
web browsers.

%files -n python3-html5lib
%license LICENSE
%{python3_sitelib}/html5lib*
%endif

%changelog
